Bug 188850 - CVE-2006-1742 JavaScript garbage-collection hazard audit
Summary: CVE-2006-1742 JavaScript garbage-collection hazard audit
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: thunderbird
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Christopher Aillon
QA Contact:
URL:
Whiteboard: reported=20060412,source=mozilla,emba...
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-04-13 03:58 UTC by Josh Bressers
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2006-04-25 13:37:47 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2006:0330 normal SHIPPED_LIVE Critical: thunderbird security update 2006-04-21 04:00:00 UTC

Description Josh Bressers 2006-04-13 03:58:59 UTC
JavaScript garbage-collection hazard audit


Igor  Bukanov  has audited the JavaScript engine for routines that use
temporary variables not protected against garbage-collection. If malicious
content could cause garbage-collection to run during the lifetime of these
temporaries  then the original routine would end up operating on freed
memory.

The  risk  appears  remote,  but  this type of memory corruption could
potentially be used by an attacker to run arbitrary code including the
installation of malware.

Note: Thunderbird shares the JavaScript engine with Firefox and could be
vulnerable if JavaScript were to be enabled in mail. This is not the default
setting and we strongly discourage users from running JavaScript in mail.

Workaround

Upgrade to the fixed versions. Do not enable JavaScript in Thunderbird or
Mozilla Suite mail.

References

[1]https://bugzilla.mozilla.org/show_bug.cgi?id=311497
[2]https://bugzilla.mozilla.org/show_bug.cgi?id=311792
[3]https://bugzilla.mozilla.org/show_bug.cgi?id=312278
[4]https://bugzilla.mozilla.org/show_bug.cgi?id=313276
[5]https://bugzilla.mozilla.org/show_bug.cgi?id=313479
[6]https://bugzilla.mozilla.org/show_bug.cgi?id=313630
[7]https://bugzilla.mozilla.org/show_bug.cgi?id=313726
[8]https://bugzilla.mozilla.org/show_bug.cgi?id=313763
[9]https://bugzilla.mozilla.org/show_bug.cgi?id=313938
[10]https://bugzilla.mozilla.org/show_bug.cgi?id=325269

Comment 3 Josh Bressers 2006-04-21 15:14:31 UTC
Lifting embargo

Comment 4 Red Hat Bugzilla 2006-04-21 15:34:59 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0330.html


Comment 5 Red Hat Bugzilla 2006-04-25 13:37:47 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0330.html



Note You need to log in before you can comment on or make changes to this bug.